'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {

	app.controller('databaseFilterGroupManagePopup',
		["$uibModalInstance", "$uibModal", "$rootScope", "$scope", "SweetAlert", "jetapi", "meta",
			function($uibModalInstance, $uibModal, $rootScope, $scope, SweetAlert, jetapi, meta) {

				$scope.LANG = LANGUAGE;
				$scope.LANG.t = $scope.LANG.translate;
				$scope.LANG.d = $scope.LANG.date;

				$scope.status = undefined;

				$scope.saveData = {
					name: '',
					filters: []
				};

				$scope.$on('filterResponse', function (event, response) {

					if(response.success)
					{
						jetapi.getDatabaseFilterGroup({ _id: response.data._id }, function(details) {

							if(details.success)
							{
								SweetAlert.swal(LANGUAGE.translate("Success!"), LANGUAGE.translate(response.message), "success");
								$uibModalInstance.close(details.data);
								return;
							}

							$scope.status = {
								message: details.message,
								type: "danger",
								closeable: false,
								ttl: 10000
							};
						});
						return;
					}

					$scope.status = {
						message: LANGUAGE.translate(response.message),
						type: "danger",
						closeable: false,
						ttl: 10000
					};
				});

				$scope.ok = function () {
					$rootScope.$broadcast('createFilter');
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss();
				};
	}]);

});