'use strict';

define([
	'app',
	'libraries/language',
	'libraries/consts'
	], function(app, LANGUAGE, CONSTS) {

	app.controller('databaseManagePopup',
		["$uibModalInstance", "$uibModal", "$routeParams", "$rootScope", "$scope", "SweetAlert",
			function($uibModalInstance, $uibModal, $routeParams, $rootScope, $scope, SweetAlert) {

				$routeParams.id = null;
				$scope.status = undefined;

				$scope.$on('databaseResponse', function (event, response) {

					if(response.success)
					{
						SweetAlert.swal(LANGUAGE.translate("Success!"), LANGUAGE.translate(response.message), "success");
						$uibModalInstance.close(response.data);
						return;
					}

					$scope.status = {
						message: LANGUAGE.translate(response.message),
						type: "danger",
						closeable: false,
						ttl: 10000
					};
				});

				$scope.ok = function () {
					$rootScope.$broadcast('createDatabase');
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss();
				};
	}]);

});