'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {

	app.controller('databaseServerSelection',
		["$uibModalInstance", "$uibModal", "$scope", "jetapi", "engine",
			function($uibModalInstance, $uibModal, $scope, jetapi, engine) {

				$scope.LANG = LANGUAGE;
				$scope.LANG.t = $scope.LANG.translate;
				$scope.LANG.d = $scope.LANG.date;

				$scope.engine = engine;
				$scope.server_id = '';
				$scope.servers = [
					{_id: '',label: LANGUAGE.translate("- Select Database Server -")}
				];

				jetapi.listDatabaseServers({ find: { type: $scope.engine } }, function (response) {
					if(!response.success) return;

					for(var i = 0; i < response.data.databases.length; i++)
						$scope.servers.push({_id: response.data.databases[i]._id,label: response.data.databases[i].name });
				});

				$scope.ok = function () {
					$uibModalInstance.close($scope.server_id);
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss(LANGUAGE.translate('cancel'));
				};
	}]);

});