define([
	'app',
	'libraries/language'
], function(app, LANGUAGE) {
	app.controller("login",
		["$rootScope", "$scope", "$location", "jetapi", "SweetAlert",
			function($rootScope, $scope, $location, jetapi, SweetAlert) {

				$scope.username = '';
				$scope.password = '';
				$scope.remember = 0;
				$scope.code = '';
				$scope.checkingCode = false;
				$scope.status = undefined;

				$scope.codeDigits = ['','','','','',''];

				$scope.$watch('codeDigits', function () {

					for(var i = 0; i < $scope.codeDigits.length; i++) {
						var int = parseInt($scope.codeDigits[i]) + '';
						if(int == 'NaN') int = '';
						if(int.length > 1) int = int.substr(0, 1);
						$scope.codeDigits[i] = int;
					}
					$scope.code = $scope.codeDigits.join('');

					if($scope.code.length == 6) $scope.checkCode();
				}, true);

				$scope.login = function () {
					$scope.status = undefined;

					jetapi.authenticate({ username: $scope.username, password: $scope.password }, function (response) {
						$scope.status = {
							message: LANGUAGE.translate(response.message),
							type: response.success ? "success" : "danger",
							closeable: false,
							ttl: 10000
						};

						if(response.success) window.location = '/';
					});
				};

				$scope.checkCode = function () {
					$scope.checkingCode = true;
					$scope.status = undefined;

					jetapi.authenticate({ code: $scope.code }, function (response) {

						$scope.checkingCode = false;
						$scope.codeDigits = ['','','','','',''];
						$scope.code = '';


						$scope.status = {
							message: LANGUAGE.translate(response.message),
							type: response.success ? "success" : "danger",
							closeable: false,
							ttl: 10000
						};

						if(response.success) window.location = '/';
					});
				};
			}
		]
	);
});