'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("plugin",
		["$rootScope", "$scope", "$routeParams", "$location", "$interval", "SweetAlert", "jetapi",
			function ($rootScope, $scope, $routeParams, $location, $interval, SweetAlert, jetapi) {
				$rootScope.$emit('menuItem', 'Plugins');

				$scope.plugin = {};
				$scope.viewTemplate = '';

				jetapi.getPlugin({ _id: $routeParams.id }, function (response) {

					if(!response.success) {
						SweetAlert.error(LANGUAGE.translate("Error!"), LANGUAGE.translate(response.message));
						$location.path('/');
						return;
					}

					$scope.plugin = response.data;
					$scope.viewTemplate = './app/plugins/' + $scope.plugin.code + '/view.ptt';

				});


			}
		]
	);
});