'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {

	app.controller('scheduleManagePopup',
		["$uibModalInstance", "$uibModal", "$routeParams", "$rootScope", "$scope", "SweetAlert", "jetapi", "schedule",
			function($uibModalInstance, $uibModal, $routeParams, $rootScope, $scope, SweetAlert, jetapi, schedule) {

				$scope.LANG = LANGUAGE;
				$scope.LANG.t = $scope.LANG.translate;
				$scope.LANG.d = $scope.LANG.date;

				$scope.status = undefined;
				$scope.schedule = schedule;

				/*
				$scope.saveData = {
					name: '',
					type: 1,
					typedata: '',
					time: '01:00 AM',
					delaytype: 'minutes',
					delayamount: 0
				};
				*/

				$routeParams.id = null;
				$scope.retain = 0;

				if($scope.schedule) {
					$routeParams.id = $scope.schedule._id;
					$scope.retain = $scope.schedule.retain;
				}

				$scope.$on('scheduleResponse', function (event, response) {

					if(response.success)
					{
						jetapi.getSchedule({ _id: response.data._id }, function(details) {

							if(details.success)
							{
								SweetAlert.success(LANGUAGE.translate("Success!"), LANGUAGE.translate(response.message));
								details.data.retain = parseInt($scope.retain);
								$uibModalInstance.close(details.data);
								return;
							}

							$scope.status = {
								message: details.message,
								type: "danger",
								closeable: false,
								ttl: 10000
							};
						});
						return;
					}

					$scope.status = {
						message: LANGUAGE.translate(response.message),
						type: "danger",
						closeable: false,
						ttl: 10000
					};
				});

				$scope.ok = function () {
					if($scope.retain <= 0) {
						$scope.status = {
							message: LANGUAGE.translate("No backups retain selected"),
							type: "danger",
							closeable: false,
							ttl: 10000
						};
						return;
					}
					$rootScope.$broadcast('createSchedule');
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss();
				};
	}]);

});