'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {

	app.controller('scheduleSelection',
		["$uibModalInstance", "$uibModal", "$scope", "schedules", "schedule", "details",
			function($uibModalInstance, $uibModal, $scope, schedules, schedule, details) {

		$scope.LANG = LANGUAGE;
		$scope.LANG.t = $scope.LANG.translate;
		$scope.LANG.d = $scope.LANG.date;

		$scope.schedule = schedule;
		$scope.schedules = [];
		$scope.allSchedules = schedules;

		$scope.newSchedule = function () {

			var modalInstance = $uibModal.open({
				animation: true,
				size: "lg",
				ariaLabelledBy: 'modal-title',
				ariaDescribedBy: 'modal-body',
				templateUrl: './app/views/scheduleManagePopup.ptt',
				controller: 'scheduleManagePopup'
			});

			modalInstance.result.then(function(scheduleDetails) {

				if(!scheduleDetails._id)
				{
					SweetAlert.error(LANGUAGE.translate("Failed!"), LANGUAGE.translate("Failed to create schedule"));
					return;
				}

				$scope.allSchedules[scheduleDetails._id] = scheduleDetails;
				$scope.getUsableSchedules();
				$scope.scheduleDetails._id = scheduleDetails._id;
			}, function () {});

		};

		$scope.getUsableSchedules = function() {

			$scope.schedules = [];
			$scope.schedulesTypesInUse = [];

			for(var i = 0; i < details.schedules.length; i++) {
				if(schedules[details.schedules[i]._id] === undefined) continue;
				$scope.schedulesTypesInUse.push(schedules[details.schedules[i]._id].type);
			}

			for(var i in $scope.allSchedules)
			{
				if((schedule === undefined || $scope.allSchedules[schedule._id].type !== $scope.allSchedules[i].type) && $scope.schedulesTypesInUse.indexOf($scope.allSchedules[i].type) >= 0) continue;

				var add = true;

				for(var a = 0; a < details.schedules.length; a++)
				{
					if(
						(i === details.schedules[a]._id &&
							(schedule === undefined || schedule._id !== i))
					)
					{
						add = false;
						break;
					}
				}

				if(add) {
					$scope.allSchedules[i].label = $scope.allSchedules[i].name + ' (' + $scope.allSchedules[i].type_name + ')';
					$scope.schedules.push($scope.allSchedules[i]);
				}
			}
		};

		$scope.getUsableSchedules();

		if(schedule !== undefined)
		{
			$scope.scheduleDetails = {
				_id: schedule._id,
				retain: schedule.retain
			};
		}
		else
		{
			$scope.scheduleDetails = {
				_id: $scope.schedules.length ? $scope.schedules[0]._id : '',
				retain: 0
			};
		}

		$scope.ok = function () {

			$scope.scheduleDetails.retain = parseInt($scope.scheduleDetails.retain);
			$uibModalInstance.close( $scope.scheduleDetails );
		};

		$scope.cancel = function () {
			$uibModalInstance.dismiss(LANGUAGE.translate('cancel'));
		};
	}]);

});