'use strict';

define([
	'app',
	'libraries/language',
	'libraries/consts'
	], function(app, LANGUAGE, CONSTS) {
	app.controller("restoreSettings",
		["$rootScope", "$scope", "$timeout", "jetapi",
			function ($rootScope, $scope, $timeout, jetapi) {
				$scope.ownership_types = ['nobody','user'];

				$scope.destinations = [{_id: '', name: LANGUAGE.translate('- Disable Safety Backups -') }];

				$scope.fetchDestinations = function() {
					jetapi.listDestinations({}, function(response) {
						for(var i = 0; i < response.data.destinations.length; i++) {

							if(
								response.data.destinations[i].clone_destination ||
								response.data.destinations[i].engine != CONSTS.DESTINATION_ENGINE_JETBACKUP ||
								!response.data.destinations[i].incremental_ability

							) continue;

							$scope.destinations.push(response.data.destinations[i]);
						}
					});
				};

				$timeout($scope.fetchDestinations());
			}
		]
	);
});