'use strict';

define([
	'app',
	'libraries/language',
], function (app, LANGUAGE) {
	app.controller("sshFields",
		["$rootScope", "$scope", "$location", "$timeout", "$uibModalInstance", "jetapi", "destinationParams",
			function ($rootScope, $scope, $location, $timeout, $uibModalInstance, jetapi, destinationParams) {
				$scope.LANG = LANGUAGE;

				$scope.destinationParams = destinationParams;

				$scope.authtype = 0;
				$scope.error = false;
				$scope.message = '';
				$scope.sshData = {
					port: 22,
					username: 'root',
				};

				var createSSHDestination = function () {

					$scope.destinationParams['host'] = $scope.sshData.host;
					$scope.destinationParams['username'] = $scope.sshData.username;
					$scope.destinationParams['password'] = $scope.sshData.password;
					$scope.destinationParams['port'] = $scope.sshData.port;
					$scope.destinationParams['privatekey'] = $scope.sshData.privatekey;
					$scope.destinationParams['timeout'] = $scope.sshData.timeout;
					$scope.destinationParams['type'] = 'SSH';
					$scope.destinationParams['name'] = $scope.destinationParams['destinationname'];


					jetapi.manageDestination($scope.destinationParams, function(response) {
							$scope.error = !response.success;
							$scope.message = response.message;

							if(response.success) $uibModalInstance.close(response.data);
						}
					);
				};

				$scope.authChange = function(v){
					if(v == 1) $scope.sshData.password = "";
					else $scope.sshData.privatekey = "";
				};


				$scope.submit = function () {
					$scope.error = false;
					createSSHDestination();
				};

				$scope.cancel = function () {
					$uibModalInstance.dismiss({});
				};


			}
		]
	);
});