define([
    "app",
    "libraries/language"
], function(app, LANGUAGE) {
    app.filter("executionTime", ["$sce", function ($sce){
        return function(seconds) {
			seconds = parseInt(seconds);
			if(seconds < 0) return "-";
            if(seconds === 0) return LANGUAGE.translate("Under a Second");

			var time = {
				Day: Math.floor(seconds / 86400),
				Hour: Math.floor(seconds / 3600) % 24,
				Minute: Math.floor(seconds / 60) % 60,
				Second: (seconds % 60)
			};

			var flag = 0;
			var text = "";
			var values = [];

			for(var j in time)
			{
				if(time[j])
				{
					values.push(time[j]);
					text += (text ? " and " : '') + "%s " + j + (time[j] > 1 ? "s" : '');
				}

				if(flag) break;
				if(time[j]) flag = 1;
			}

			return LANGUAGE.translate(text, values[0], values[1]);
        };
    }]);
});