'use strict';

define([
	'libraries/language'
], function(LANGUAGE) {
	var CONSTS = function() { this._init(); };

	CONSTS.prototype = {
		DOCS_URL: "http://docs.jetbackup.com/linux/v1.0",

		BASE_URL: "/",

		BACKUP_TYPE_DIRECTORIES_FILES: 1<<7,
		BACKUP_TYPE_DIRECTORIES_DIRS: 1<<8,
		BACKUP_TYPE_DIRECTORIES: 0,
		BACKUP_TYPE_REPLICATE: 1<<9,
		BACKUP_TYPE_DISASTER_RECOVERY: 1<<10,
		BACKUP_TYPE_DATABASES: 1<<11,
		BACKUP_TYPE_BMR: 1<<12,

		DESTINATION_ENGINE_JETBACKUP: 1,

		DATABASE_FILTER_TYPE_DATABASE: 1<<1,
		DATABASE_FILTER_TYPE_RANGE: 1<<7,
		DATABASE_FILTER_TYPE_REGEX: 1<<8,

		DATABASE_FILTER_CONDITION_INCLUDE: 1,
		DATABASE_FILTER_CONDITION_EXCLUDE: 2,

		BACKUP_DIRECTORY: 2,
		BACKUP_DISASTER_RECOVERY: 3,
		BACKUP_DATABASE: 4,

		BACKUP_FLAG_INCREMENTAL: 1<<0,
		BACKUP_FLAG_ARCHIVED: 1<<1,
		BACKUP_FLAG_COMPRESSED: 1<<2,

		QUEUE_TYPE_RESTORE: 1,
		QUEUE_TYPE_DOWNLOAD: 2,

		HOOK_TYPE_POSITION_PRE: 1,
		HOOK_TYPE_POSITION_POST: 2,

		MYSQL_FLAG_DUMP_FORCE: 1<<0,
		MYSQL_FLAG_DUMP_OPT: 1<<1,
		MYSQL_FLAG_DUMP_SKIP_LOCK: 1<<2,
		MYSQL_FLAG_DUMP_SINGLE_TRANS: 1<<3,

		HOOK_POSITION_BACKUP: 1,
		HOOK_POSITION_RESTORE: 3,
		HOOK_POSITION_DOWNLOAD: 4,
		HOOK_POSITION_DAILY_CRON: 7,

		// TODO change this regex to validate database names
		DATABASE_NAME_FILTER: /^(.*)$/,
		PATH_FILTER: /(^[^\/])|(((\/+|^)\.{2})+(\/+|$)|\/{2,})|([`:;\\!$&*()])/,
		PATH_FILTER_PATTERNS: /(((\/+|^)\.{2})+(\/+|$)|\/{2,})|([`:;\\!$&()])/,
		IP_FILTER: /^(?!0)(?!.*\.$)((1?\d?\d|25[0-5]|2[0-4]\d)(\.|$)){4}$/,

		WIZARD_STORAGE: 'backupJobWizard',

		_init: function () {
			this.BACKUP_TYPE_DIRECTORIES =
				this.BACKUP_TYPE_DIRECTORIES_FILES |
				this.BACKUP_TYPE_DIRECTORIES_DIRS;
		}
	};

	return new CONSTS();
});