'use strict';

define([], function() {
	//(function (undefined) {

		var LANGUAGE = function() {};

		LANGUAGE.prototype = {
			_locale: {},
			_utcOffset: null,
			_options: {
				code: "en-US",
				date: {
					/** See the moment date format documentation: https://momentjs.com/docs/#/displaying/ **/
					short: "D MMM YYYY",
					shorttime: "D MMM YYYY hh:mm A",
					long: "ddd, MMM D, YYYY",
					longtime: "ddd, MMM D, YYYY, hh:mm A"
				}
			},
			setUTCOffset: function (offset) {
				this._utcOffset = offset;
			},
			translate: function (str) {
				if(str === undefined || str === null) return "";
				if (this._locale[str] !== undefined) str = this._locale[str];
				var args = arguments;
				var count = 0;
				str = str.replace(/%s/g, function (substring) {
					count++;
					if (args[count] !== undefined) return args[count];
					return substring;
				});
				return str;
			},
			date: function(time, format) {

				var date = moment(time);
				if(this._utcOffset) date.utcOffset(this._utcOffset);

				if(this._options.date[format] !== undefined) {
					return date.format(this._options.date[format]);
				}

				return date.format(this._options.date.longtime);
			},
			options: function(options) {
				marge(this._options, options);
				return this;
			},
			marge: function (locale) {
				marge(this._locale, locale);
				return this;
			}
		};

		var marge = function (ob1, ob2) {
			for (var i in ob2) ob1[i] = ob2[i];
		};

		return new LANGUAGE();
	//})();
});