'use strict';

require([
	'app',
	'libraries/language',
	'libraries/utils',
	'libraries/permissions',
	'libraries/consts',
	'services/jetapi',
	'services/filterManager',
	'services/pathManager',
	'services/utils',
	'services/loader',
	'services/meta',
	'services/filter',
	'services/storage',
	'services/JWizardService',
	'services/wizards',

	'filters/html',
	'filters/capitalize',
	'filters/executionTime',

	'directives/loadingScreen',
	'directives/loadingBox',
	'directives/pageSize',
	'directives/sortBy',
	'directives/moveNext',
	'directives/search',
	'directives/filterBox',
	'directives/alertBox',
	'directives/ngLanguage',
	'directives/navigation',

	'controllers/login',
	'controllers/sideMenu',
	'controllers/404',
	'controllers/dashboard',
	'controllers/wizard/JWizard',
	'controllers/wizard/wizardWelcomePage',
	'controllers/wizard/sshFields',
	'controllers/wizard/localFields',
	'controllers/wizard/wizardDestinationPicker',
	'controllers/wizard/wizardSchedule',
	'controllers/wizard/wizardFilters',
	'controllers/wizard/wizardBackupJobManage',
	'controllers/logs',
	'controllers/logViewer',
	'controllers/queues',
	'controllers/hookManage',
	'controllers/hooks',
	'controllers/destinationManage',
	'controllers/destinations/AmazonS3',
	'controllers/destinations/GoogleDrive',
	'controllers/destinations/Dropbox',
	'controllers/destinations/Local',
	'controllers/destinations',
	'controllers/jobManage',
	'controllers/backupJobManage',
	'controllers/backupJobs',
	'controllers/scheduleManagePopup',
	'controllers/scheduleManage',
	'controllers/schedulesList',
	'controllers/schedules',
	'controllers/alerts',
	'controllers/permissions',
	'controllers/settings',
	'controllers/settings/generalSettings',
	'controllers/settings/restoreSettings',
	'controllers/settings/performanceSettings',
	'controllers/settings/resourceSettings',
	'controllers/settings/notificationSettings',
	'controllers/settings/securitySettings',
	'controllers/accounts',
	'controllers/accountManage',
	'controllers/databases',
	'controllers/databaseManage',
	'controllers/databaseManagePopup',
	'controllers/backupManager',
	'controllers/backupManagerDatabases',
	'controllers/backupManagerDirectories',
	'controllers/snapshotLockSelection',
	'controllers/databaseServerSelection',
	'controllers/databaseFilters',
	'controllers/databaseFilterManage',
	'controllers/databaseFilterManagePopup',
	'controllers/fileManager',
	'controllers/fileBrowse',
	'controllers/showcase',
	'controllers/agreement',
	'controllers/disasterRecovery',
	'controllers/disasterRecoverySelection',
	'controllers/disasterRecoveryDestination',
	'controllers/disasterRecoveryRestoreDR',
	'controllers/plugins',
	'controllers/plugin',
	'controllers/accessTokens',
	'controllers/accessTokenManage',

	'controllers/scheduleSelection',
	'controllers/backupJobsSelection',
	'controllers/destinationsSelection',
	'controllers/databaseFilterGroupSelection',

	// TODO remove once we fix the cmb
	'showcase/100_rootPrivateKey/controller'
], function (app, LANGUAGE) {
	LANGUAGE.setUTCOffset(window.PAGE.info.utcOffset);
	angular.bootstrap(document, ['JetBackupApp']);
});